const addCommas = value => value.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ',');

const removeCommas = value => parseInt(value.replace(/,/g, ''), 10);

const checkIsValidNumber = (input) => {
  const value = parseInt(input, 10);
  if (value === 0) {
    return true;
  }

  if (value < 0 || Number.isNaN(value)) {
    return false;
  }

  return true;
};

const positiveIntegerOnly = (number) => {
  if (number < 0) {
    return 0;
  }

  return parseInt(number, 10);
};

export {
  addCommas,
  removeCommas,
  checkIsValidNumber,
  positiveIntegerOnly,
};
